package cn.iocoder.yudao.module.system.enums.robot.task;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 车机上报的状态码
 */
@Getter
@AllArgsConstructor
public enum RobotStatusCodeEnum {
    SUCCESS("10000","成功"),
    FAIL_JSON("10001","入参JSON解析失败"),
    FAIL_SYSTEM("10002","系统内部异常"),
    FAIL_UN_KNOW("10003","未知错误"),
    FAIL_UN_SUPPOD("10004","未支持该指令执行"),
    EXCEEDING_SECONDS("10017","PP发送的任务超过5秒到达");
    /**
     * 类型
     */
    private final String type;
    private final String msg;
}
